Changelog iOS


v1.9.1

Added

  • Support XCode 11.6
  • Minimum target version iOS 11
  • Complete Swift 5
  • Major dependency updates

Fixed

  • Removed all UIWebview reference

Install

pod 'WearnotchSDK', podspec => "https://s3.amazonaws.com/wearnotch-media/public/iOS-Releases/1.9.1.json"

Due to a mandatory static library you need to manually remove some frameworks from your top pod module.
Copy the following script at the end of your pod file and update your target name properly.

# Remove the static WearnotchSDK libraries from the app target in order to avoid duplicated static library copy
post_install do |installer|
  installer.pods_project.targets.each do |target|
    # Remove only from the main app target
    # IMPORTANT: Insert target name here
    if target.name == "Pods-{YOUR_APP_POD_TARGET_NAME_IN_THIS_FILE}"
      puts "Updating #{target.name} OTHER_LDFLAGS"
      target.build_configurations.each do |config|
        xcconfig_path = config.base_configuration_reference.real_path

        # read from xcconfig to build_settings dictionary
        build_settings = Hash[*File.read(xcconfig_path).lines.map{|x| x.split(/\s*=\s*/, 2)}.flatten]

        # modify OTHER_LDFLAGS
        build_settings['OTHER_LDFLAGS']['-framework "JRE"'] =  ""
        build_settings['OTHER_LDFLAGS']['-framework "JSR305"'] = ""
        build_settings['OTHER_LDFLAGS']['-framework "WearnotchSDK"'] = ""

        # write build_settings dictionary to xcconfig
        File.open(xcconfig_path, "w")
        build_settings.each do |key,value|
          File.open(xcconfig_path, "a") {|file| file.write("#{key} = #{value}")}
        end
      end
    end
  end
end

v1.8.3

Added

  • Support XCode 11.3

Fixed

  • Fixed an SDK crash on release mode

Install

pod 'WearnotchSDK', podspec => "https://s3.amazonaws.com/wearnotch-media/public/iOS-Releases/1.8.3.json"

v1.8.2

Added

  • Availability to override NotchRealTimeAnimationDelegate and access posture before render

Install

pod 'WearnotchSDK', podspec => "https://s3.amazonaws.com/wearnotch-media/public/iOS-Releases/1.8.2.json"

v1.8.1

Added

  • Support XCode 11.2

Install

pod 'WearnotchSDK', podspec => "https://s3.amazonaws.com/wearnotch-media/public/iOS-Releases/1.8.1.json"

v1.8.0

Changed

  • iOS10 as minimum target
  • Updated 3rd party dependencies

Fixed

  • Fixed sharing error message

Install

pod 'WearnotchSDK', podspec => "https://s3.amazonaws.com/wearnotch-media/public/iOS-Releases/1.8.0.json"

v1.7.1

Fixed

  • Notch Cloud sync fixes

Install

pod 'WearnotchSDK', podspec => "https://s3.amazonaws.com/wearnotch-media/public/iOS-Releases/1.7.1.json"

v1.7.0

Added

  • Support XCode 11
  • Added extended status check

Install

pod 'WearnotchSDK', podspec => "https://s3.amazonaws.com/wearnotch-media/public/iOS-Releases/1.7.0.json"

v1.6.1

Fixed

  • Initial connection fixes in case of multiple masters

Install

pod 'WearnotchSDK', podspec => "https://s3.amazonaws.com/wearnotch-media/public/iOS-Releases/1.6.1.json"

v1.6.0

Added

  • Support XCode 10.2
  • Added on demand battery state checker API

Fixed

  • Various connectivity improvements

Install

pod 'WearnotchSDK', podspec => "https://s3.amazonaws.com/wearnotch-media/public/iOS-Releases/1.6.0.json"

v1.5.2

Fixed

  • Measurement synchronization to the cloud

Install

pod 'WearnotchSDK', podspec => "https://s3.amazonaws.com/wearnotch-media/public/iOS-Releases/1.5.2.json"

v1.5.0

Added

  • Support XCode 10 & Swift 4.2
  • Slower playback speed option

Fixed

  • Fixed download

Install

pod 'WearnotchSDK', podspec => "https://s3.amazonaws.com/wearnotch-media/public/iOS-Releases/1.5.0.json"

v1.4.30

Added

First iOS public release

Pioneer App
Notch Motion
Notch SDK
Cloud API
Tutorials
Product
Powered by Notch [PxN]